Activity log for bug #1730515

Date Who What changed Old value New value Message
2017-11-06 22:09:18 bugproxy bug added bug
2017-11-06 22:09:20 bugproxy tags architecture-ppc64le bugnameltc-161021 severity-medium targetmilestone-inin16044
2017-11-06 22:09:21 bugproxy ubuntu: assignee Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
2017-11-06 22:09:25 bugproxy affects ubuntu linux (Ubuntu)
2017-11-07 07:46:23 Andrew Cloke bug task added ubuntu-power-systems
2017-11-07 07:46:30 Andrew Cloke ubuntu-power-systems: importance Undecided Medium
2017-11-07 07:46:39 Andrew Cloke ubuntu-power-systems: assignee Canonical Kernel Team (canonical-kernel-team)
2017-11-07 16:43:25 Joseph Salisbury nominated for series Ubuntu Artful
2017-11-07 16:43:25 Joseph Salisbury bug task added linux (Ubuntu Artful)
2017-11-07 16:43:25 Joseph Salisbury nominated for series Ubuntu Bionic
2017-11-07 16:43:25 Joseph Salisbury bug task added linux (Ubuntu Bionic)
2017-11-07 16:43:25 Joseph Salisbury nominated for series Ubuntu Zesty
2017-11-07 16:43:25 Joseph Salisbury bug task added linux (Ubuntu Zesty)
2017-11-07 16:43:34 Joseph Salisbury linux (Ubuntu Zesty): importance Undecided Medium
2017-11-07 16:43:36 Joseph Salisbury linux (Ubuntu Artful): importance Undecided Medium
2017-11-07 16:43:39 Joseph Salisbury linux (Ubuntu Bionic): importance Undecided Medium
2017-11-07 16:43:43 Joseph Salisbury linux (Ubuntu Bionic): status New Triaged
2017-11-07 16:43:46 Joseph Salisbury linux (Ubuntu Artful): status New Triaged
2017-11-07 16:43:50 Joseph Salisbury linux (Ubuntu Zesty): status New Triaged
2017-11-07 17:08:48 Joseph Salisbury linux (Ubuntu Zesty): status Triaged In Progress
2017-11-07 17:08:50 Joseph Salisbury linux (Ubuntu Artful): status Triaged In Progress
2017-11-07 17:08:52 Joseph Salisbury linux (Ubuntu Bionic): status Triaged In Progress
2017-11-07 17:08:55 Joseph Salisbury linux (Ubuntu Zesty): assignee Joseph Salisbury (jsalisbury)
2017-11-07 17:08:58 Joseph Salisbury linux (Ubuntu Artful): assignee Joseph Salisbury (jsalisbury)
2017-11-07 17:09:07 Joseph Salisbury linux (Ubuntu Bionic): assignee Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) Joseph Salisbury (jsalisbury)
2017-11-07 19:08:16 Frank Heimes ubuntu-power-systems: status New In Progress
2017-11-13 14:35:14 Andrew Cloke tags architecture-ppc64le bugnameltc-161021 severity-medium targetmilestone-inin16044 architecture-ppc64le bugnameltc-161021 severity-medium targetmilestone-inin16044 triage-g
2017-12-04 14:45:09 Andrew Cloke tags architecture-ppc64le bugnameltc-161021 severity-medium targetmilestone-inin16044 triage-g architecture-ppc64le bugnameltc-161021 severity-medium targetmilestone-inin16044 triage-a
2017-12-04 14:46:46 Frank Heimes tags architecture-ppc64le bugnameltc-161021 severity-medium targetmilestone-inin16044 triage-a architecture-ppc64le bugnameltc-161021 kernel-da-key severity-medium targetmilestone-inin16044 triage-g
2017-12-07 17:17:33 Joseph Salisbury nominated for series Ubuntu Xenial
2017-12-07 17:17:33 Joseph Salisbury bug task added linux (Ubuntu Xenial)
2017-12-07 17:17:41 Joseph Salisbury linux (Ubuntu Xenial): status New In Progress
2017-12-07 17:17:44 Joseph Salisbury linux (Ubuntu Xenial): importance Undecided Medium
2017-12-07 17:17:50 Joseph Salisbury linux (Ubuntu Xenial): assignee Joseph Salisbury (jsalisbury)
2017-12-07 17:18:00 Joseph Salisbury bug task deleted linux (Ubuntu Xenial)
2017-12-07 17:18:16 Joseph Salisbury summary Request to backport cxlflash patches to 16.04 SRU Request to backport cxlflash patches to 16.04 HWE Kernel
2017-12-07 17:21:48 Joseph Salisbury description ---Problem Description--- We have few cxlflash patches upstream that we would like to be included in the Ubuntu 16.04 HWE kernel. Below patches are in next/master lined up for 4.15 kernel. 285e6670d0229b0157a9167eb8b2626b445a5a0e scsi: cxlflash: Use derived maximum write same length 0d4191305e69e42b3f7f11bbcf077d1d42929f94 scsi: cxlflash: Allow cards without WWPN VPD to configure d84c198f43c50c6c0bd57571acbf0f000165bd56 scsi: cxlflash: Derive pid through accessors Please let me know if there are questions/concerns. == SRU Justification == IBM is requesting these three cxlflash patches in the Ubuntu 16.04 HWE and newer kernels. All three patches have now landed in mainline v4.15-rc1. These commits fix bugs in the existing code - missing VPN could disable a card and the write same sector size. == Fixes == 285e6670d022 ("scsi: cxlflash: Use derived maximum write same length") 0d4191305e69 ("scsi: cxlflash: Allow cards without WWPN VPD to configure") d84c198f43c5 ("scsi: cxlflash: Derive pid through accessors") == Regression Potential == Medium. These patches are not limited to one arch, but they are limited to cxlflash. == Test Case == A test kernel was built with these patches and tested by the original bug reporter. The bug reporter states the test kernel resolved the bug.
2017-12-08 21:28:54 Seth Forshee linux (Ubuntu Bionic): status In Progress Fix Committed
2018-01-22 15:09:33 Manoj Iyer linux (Ubuntu Zesty): status In Progress Won't Fix
2018-02-01 20:33:14 Khaled El Mously linux (Ubuntu Artful): status In Progress Fix Committed
2018-03-05 15:18:53 Manoj Iyer ubuntu-power-systems: status In Progress Fix Committed
2018-03-19 10:57:48 Stefan Bader tags architecture-ppc64le bugnameltc-161021 kernel-da-key severity-medium targetmilestone-inin16044 triage-g architecture-ppc64le bugnameltc-161021 kernel-da-key severity-medium targetmilestone-inin16044 triage-g verification-needed-artful
2018-03-26 15:42:32 Uma Krishnan tags architecture-ppc64le bugnameltc-161021 kernel-da-key severity-medium targetmilestone-inin16044 triage-g verification-needed-artful architecture-ppc64le bugnameltc-161021 kernel-da-key severity-medium targetmilestone-inin16044 triage-g verification-done-artful
2018-04-03 14:10:10 Launchpad Janitor linux (Ubuntu Artful): status Fix Committed Fix Released
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-0861
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-1000407
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-15129
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-16994
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17448
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17450
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17741
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17805
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17806
2018-04-03 14:10:10 Launchpad Janitor cve linked 2017-17807
2018-04-03 14:10:10 Launchpad Janitor cve linked 2018-1000026
2018-04-03 14:10:10 Launchpad Janitor cve linked 2018-5332
2018-04-03 14:10:10 Launchpad Janitor cve linked 2018-5333
2018-04-03 14:10:10 Launchpad Janitor cve linked 2018-5344
2018-04-16 14:41:16 Manoj Iyer linux (Ubuntu Bionic): status Fix Committed Fix Released
2018-04-16 14:41:30 Manoj Iyer ubuntu-power-systems: status Fix Committed Fix Released